---
title: "Delete Customer Domain"
description: "Deletes a customer domain."
---

`DELETE /api/customer-domains/:customerDomainPublicId`

Notes:

- Readonly users and global supporters cannot delete customer domains.

## Example (cURL)

```bash
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"

curl -X DELETE "$BASE_URL/api/customer-domains/22222222-2222-4222-8222-222222222222" \
  -H "Authorization: Bearer $TOKEN"
```

## Example Response

```json
{ "success": true }
```

## Common errors

- `400 Invalid Domain identifier` when `:customerDomainPublicId` is neither a valid UUID nor a legacy numeric ID
- `401 Unauthorized` when you are not logged in
- `403 Forbidden` for readonly/global supporter users, or when you cannot access the domain/customer
- `404 Domain not found` when the domain does not exist

